package com.chinaweal.aiccs.aiccs.abnormal.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.chinaweal.aiccs.aiccs.abnormal.entity.TSAbnList;
import com.chinaweal.aiccs.aiccs.abnormal.entity.TSAttachment;
import com.chinaweal.aiccs.aiccs.abnormal.entity.TSBizSpeList;
import com.chinaweal.aiccs.aiccs.abnormal.entity.vo.TSBizSpeListVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 列入经营异常名录业务表 Mapper 接口
 * </p>
 *
 * @author <a href="https://blog.lroyia.top">lroyia</a>
 * @since 2021-01-19
 */
public interface TSBizSpeListMapper extends BaseMapper<TSBizSpeList> {

    /**
     * 查询业务记录
     *
     * @param tsBizSpeListModel 业务记录对象
     * @return 查询结果
     * @author lroyia
     * @since 2021年1月22日 15:02:20
     */
    List<TSBizSpeList> selectBSPexptlist(@Param("tsBizSpeListModel") TSBizSpeList tsBizSpeListModel);

    IPage<TSBizSpeList> selectBSPExptByPageList(@Param("tsBizSpeListModel") TSBizSpeList tsBizSpeListModel, IPage<TSBizSpeList> page);

    IPage<TSBizSpeList> selectAbnListBussByPage(IPage<TSBizSpeList> page, @Param("tsAbnListModel") TSAbnList tsAbnListModel,
                                                @Param("acceptno") String acceptno);

    IPage<TSBizSpeList> selectBizSpeByPageList(IPage<TSBizSpeList> pagingCriteria);

    IPage<TSBizSpeListVO> selectBizSpeListPage(IPage<TSBizSpeListVO> page,@Param("customParamMap") Map<String, Object> customParamMap);

    Boolean saveTsbizspelistBatch(List<TSBizSpeList> list);

    void updateByBizseq(@Param("tsBizSpeList") TSBizSpeList tsBizSpeList);

    void updateStatus(@Param("tsBizSpeList") TSBizSpeList tsBizSpeList);

    IPage<TSBizSpeListVO> getOldBizSpeListPage(IPage<TSBizSpeListVO> page,@Param("SAPPROVECODE") String SAPPROVECODE);

    List<TSBizSpeListVO> getOldBizSpeListPage(@Param("SAPPROVECODE") String SAPPROVECODE);

    TSBizSpeListVO getOldBizSpeListInfo(@Param("SAPPROVECODE") String SAPPROVECODE);
}
